# Extra Clang Tools 21.1.6 documentation

## clang-tidy - hicpp-ignored-remove-result

# hicpp-ignored-remove-result

Ensure that the result of `std::remove`, `std::remove_if` and `std::unique` are not ignored according to rule 17.5.1.

The mutating algorithms `std::remove`, `std::remove_if` and both overloads of `std::unique` operate by swapping or moving elements of the range they are operating over. On completion, they return an iterator to the last valid element. In the majority of cases the correct behavior is to use this result as the first operand in a call to `std::erase`.

This check is a subset of bugprone-unused-return-value and depending on used options it can be superfluous to enable both checks.

## Options

AllowCastToVoid

  Controls whether casting return values to `void` is permitted. Default: true.